"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = require("lodash");

var _useRest = _interopRequireDefault(require("../useRest"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = ({
  coll,
  fields,
  query
}) => {
  const fieldString = `collectionName=${coll}&${fields.map(field => `fields[]=${field}`).join('&')}`;
  const state = (0, _useRest.default)({
    url: `/search?${fieldString}${query ? `&${query}` : ''}`,
    runOnInit: false,
    key: 'fields'
  });
  return { ...state,
    getOptions: name => (0, _lodash.get)(state, `fields.${name}`, []).map(value => ({
      label: value,
      value
    }))
  };
};

exports.default = _default;